# ARXLogisticRegressionConfiguration.PriorFunction (ARX API Documentation)

org.deidentifier.arx

## Enum ARXLogisticRegressionConfiguration.PriorFunction

- java.lang.Object
- - java.lang.Enum<ARXLogisticRegressionConfiguration.PriorFunction>
  - - org.deidentifier.arx.ARXLogisticRegressionConfiguration.PriorFunction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ARXLogisticRegressionConfiguration.PriorFunction>
  Enclosing class:
    ARXLogisticRegressionConfiguration

      public static enum ARXLogisticRegressionConfiguration.PriorFunction
      extends java.lang.Enum<ARXLogisticRegressionConfiguration.PriorFunction>

  Prior function for regularization

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ELASTIC_BAND`
    `L1`
    `L2`
    `UNIFORM`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ARXLogisticRegressionConfiguration.PriorFunction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ARXLogisticRegressionConfiguration.PriorFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### L1

          public static final ARXLogisticRegressionConfiguration.PriorFunction L1

    - #### L2

          public static final ARXLogisticRegressionConfiguration.PriorFunction L2

    - #### UNIFORM

          public static final ARXLogisticRegressionConfiguration.PriorFunction UNIFORM

    - #### ELASTIC_BAND

          public static final ARXLogisticRegressionConfiguration.PriorFunction ELASTIC_BAND

  - ### Method Detail

    - #### values

          public static ARXLogisticRegressionConfiguration.PriorFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ARXLogisticRegressionConfiguration.PriorFunction c : ARXLogisticRegressionConfiguration.PriorFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ARXLogisticRegressionConfiguration.PriorFunction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null